Ubuntu

Messaging indicator not respecting blacklist

Reported by Corey Kearney on 2012-02-23
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Messaging Menu
Undecided
Lars Uebernickel
indicator-messages (Ubuntu)
Undecided
Lars Uebernickel

Bug Description

Linking files to ~/.config indicators/applications-blacklist doesn't work anymore. I placed thunderbird and empathy there because I use pidgin and polster. But the icons are still there. Thunderbird isn't even my default mail client, I don't understand why its there at all. The messaging indicator should show the selected default app for a task. (there is no place to set a default messaging app, guess that's another issue.)

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: indicator-messages 0.5.91-0ubuntu3
ProcVersionSignature: Ubuntu 3.2.0-16.25-generic 3.2.6
Uname: Linux 3.2.0-16-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
Date: Thu Feb 23 00:56:44 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120104)
SourcePackage: indicator-messages
UpgradeStatus: Upgraded to precise on 2012-02-22 (1 days ago)

Corey Kearney (snkiz) wrote :
Lars Uebernickel (larsu) on 2012-02-23
Changed in indicator-messages (Ubuntu):
status: New → In Progress
assignee: nobody → Lars Uebernickel (larsu)
Corey Kearney (snkiz) wrote :

wow that was fast

Ted Gould (ted) on 2012-03-21
Changed in indicator-messages (Ubuntu):
status: In Progress → Fix Committed
status: Fix Committed → In Progress
Changed in indicator-messages:
status: New → Fix Committed
milestone: none → 0.5.94
assignee: nobody → Lars Uebernickel (larsu)
Ted Gould (ted) on 2012-03-21
Changed in indicator-messages:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-messages - 0.5.94-0ubuntu1

---------------
indicator-messages (0.5.94-0ubuntu1) precise; urgency=low

  [ Ted Gould ]
  * New upstream release.
    * Fix for missing icons in the messaging menu (LP: #960553)
    * Fix i18n for description (LP: #957525)
    * Implementing initial testing
    * Fixing blacklists (LP: #939258)
  * debian/control: Adding dep on libgtest-dev

  [ Ken VanDine ]
  * debian/control: Don't build depend on libgtest-dev, it isn't in main
  * debian/rules: disable tests, they require libgtest-dev
 -- Ken VanDine <email address hidden> Wed, 21 Mar 2012 17:00:10 -0400

Changed in indicator-messages (Ubuntu):
status: In Progress → Fix Released
TQ (tjgq) wrote :

I still have this problem with indicator-messages 0.5.4.94-0ubuntu1:

tjgq@velma:~$ aptitude show indicator-messages | grep Version
Version: 0.5.94-0ubuntu1
tjgq@velma:~$ ls -l .config/indicators/messages/applications-blacklist/
total 4
lrwxrwxrwx 1 tjgq tjgq 55 Mar 21 23:40 thunderbird -> /usr/share/indicators/messages/applications/thunderbird
lrwxrwxrwx 1 tjgq tjgq 67 Mar 23 00:32 ubuntuone-control-panel -> /usr/share/indicators/messages/applications/ubuntuone-control-panel
lrwxrwxrwx 1 tjgq tjgq 49 Mar 23 00:36 xchat -> /usr/share/indicators/messages/applications/xchat

Yet Thunderbird, Ubuntu One and Xchat all appear in the indicator.

Chris Coulson (chrisccoulson) wrote :

I'm not sure what changed here, but the blacklist has always worked properly for me in the past. It now doesn't work at all

Chris Coulson (chrisccoulson) wrote :

So, this seems to add a new constraint on applications using this functionality that the blacklist file must be the full basename of the desktop file (including the file extension), so I need to make Thunderbird create a file called "thunderbird.desktop" rather than just "thunderbird" in order to make it work again. Was that intentional, and did anyone check what other applications are using this feature? It's quite late to be making a change like this.

If it's intentional, then I need to add a migration path to Thunderbird to cope with the change on upgrade.

Lars Uebernickel (larsu) wrote :

Hey Chris, sorry that this is causing trouble.

Ted suggested using the basename of an app instead of its link target, because many users were copying desktop files in there instead of linking them. I didn't know that thunderbird didn't include the extension.

I'll try to get a fix into indicator-messages so that you don't need to add a migration path.

Chris Coulson (chrisccoulson) wrote :

Oh, I didn't realise that it worked by linking the file to the desktop file? Is that still the case?

Currently in Thunderbird, we create a file named "thunderbird" and write the path of the desktop file in to it (and we check for this on startup too in order to decide on whether to enable the feature or not)

Lars Uebernickel (larsu) wrote :

Fixed in lp:~larsu/indicator-messages/fix-blacklist-again, which will most probably land in the release charles is planning on doing later today.

Charles Kerr (charlesk) wrote :

http://bazaar.launchpad.net/~indicator-applet-developers/indicator-messages/trunk.0.6/revision/264

> Merge lp:~larsu/indicator-messages/fix-blacklist-again to revert blacklist changes so that apps relying on the old behavior will work again.
>
> The new policy is: if a file in the blacklist folder is a symbolic link, use its target. If its filename ends on .desktop, use the file's basename (so that copying files works). Otherwise, use the contents of file (first line should contain path to a desktop file).
>
> Xref: bug #939258 and http://bazaar.launchpad.net/~indicator-applet-developers/indicator-messages/trunk.0.6/revision/259 and Merged branch lp:~larsu/indicator-messages/fix-blacklist-again

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers